Bug 1127120 - Fix PR61801 in GCC 4.8-RH
Summary: Fix PR61801 in GCC 4.8-RH
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gcc
Version: 7.0
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: rc
: ---
Assignee: Jakub Jelinek
QA Contact: Miroslav Franc
URL:
Whiteboard:
Depends On: 1127118
Blocks: 1127681
TreeView+ depends on / blocked
 
Reported: 2014-08-06 08:21 UTC by Jakub Jelinek
Modified: 2016-02-01 02:29 UTC (History)
7 users (show)

Fixed In Version: gcc-4.8.3-4.el7
Doc Type: Bug Fix
Doc Text:
Previously, the instruction scheduling pass treated debug instructions with volatile inline assembly as a barrier. As a consequence, GCC could miscompile certain programs containing inline assembly when using the "-g" option to generate the debug info. A fix to the instruction scheduler has been applied, and the code is now compiled correctly.
Clone Of: 1127118
: 1127681 (view as bug list)
Environment:
Last Closed: 2015-03-05 07:05:32 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:0320 normal SHIPPED_LIVE gcc bug fix and enhancement update 2015-03-05 11:57:45 UTC

Description Jakub Jelinek 2014-08-06 08:21:53 UTC
GCC 4.8-RH has the http://gcc.gnu.org/PR61801 bug that showed up on the Linux kernel as a wrong-code issue.

Comment 9 errata-xmlrpc 2015-03-05 07:05:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-0320.html


Note You need to log in before you can comment on or make changes to this bug.